using UnityEngine;
using UnityEngine.UI;

namespace Mono
{
    [UIBinding(prefab = "StartPanel")]
    public class StartPanel : UIPanel
    {
        public Button Btn_Start;


        public override void GetUIData()
        {
            Btn_Start = UIData.Get<Button>(nameof(Btn_Start));
        }

        public override void AddButtonEvent()
        {
            Btn_Start.onClick.AddListener(() =>
            {
                Debug.Log("点击开始游览");
                UIManager.Instance.HideUIPanel<StartPanel>();
                UIManager.Instance.LoadAndOpenPanel<MainScenePanel>(UIManager.UILayer.Middle);
            });
        }
    }
}